Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic
Class GrantedAuthorityEffectiveAclsResolver

    java.lang.Object
      org.acegisecurity.acl.basic.GrantedAuthorityEffectiveAclsResolver

All Implemented Interfaces:
  EffectiveAclsResolver

    public class GrantedAuthorityEffectiveAclsResolver

extends Object
implements EffectiveAclsResolver

Simple implementation of `EffectiveAclsResolver`.

This implementation does not need to understand the "recipient" types presented in a `BasicAclEntry` because it merely delegates to the detected `Authentication.getPrincipal()` or `Authentication.getAuthorities()`. The principal object or granted authorities object has its `Object.equals(recipient)` method called to make the decision as to whether the recipient in the `BasicAclEntry` is the same as the principal or granted authority.

This class should prove an adequate ACLs resolver if you're using standard Acegi Security classes. This is because the typical `Authentication` token is `UsernamePasswordAuthenticationToken`, which for its `principal` is usually a `String`. The `GrantedAuthorityImpl` is typically used for granted authorities, which tests for equality based on a `String`. This means `BasicAclDao`s simply need to return a `String` to represent the recipient. If you use non-`String` objects, you will probably require an alternative `EffectiveAclsResolver`.

Version:
  $Id: GrantedAuthorityEffectiveAclsResolver.java,v 1.6 2005/11/29 13:10:11 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`GrantedAuthorityEffectiveAclsResolver()`

Method Summary
`AclEntry[]` | `resolveEffectiveAcls(AclEntry[] allAcls, Authentication filteredBy)` Determines the ACLs that apply to the presented `Authentication` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrantedAuthorityEffectiveAclsResolver

    public GrantedAuthorityEffectiveAclsResolver()

Method Detail

### resolveEffectiveAcls

    public AclEntry[] resolveEffectiveAcls(AclEntry[] allAcls,
                                           Authentication filteredBy)

  Description copied from interface: `EffectiveAclsResolver`
  Determines the ACLs that apply to the presented `Authentication` object.

  Specified by:
    `resolveEffectiveAcls` in interface `EffectiveAclsResolver`
  Parameters:
    `allAcls` - every ACL assigned to a domain object instance
    `filteredBy` - the principal (populated with `GrantedAuthority`s along with any other members that relate to role or group membership) that effective ACLs should be returned for
  Returns:
    the ACLs that apply to the presented principal, or `null` if there are none after filtering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.